package com.cf.imes.module.manage.service.query;


import com.cf.imes.framework.common.pojo.PageResult;

import com.cf.imes.module.manage.controller.admin.pack.vo.OrderPartsReqVO;
import com.cf.imes.module.manage.controller.admin.pack.vo.PackDetailsReqVO;
import com.cf.imes.module.manage.controller.admin.pack.vo.PlateDetailsRespVO;
import com.cf.imes.module.manage.controller.admin.query.vo.pack.OrderPackageVO;
import com.cf.imes.module.manage.controller.admin.query.vo.pack.PackageDetailsRespVO;
import com.cf.imes.module.manage.controller.admin.query.vo.pack.PrintOrderRespVO;
import com.cf.imes.module.manage.controller.admin.query.vo.productionStatus.*;
import com.cf.imes.module.manage.controller.admin.query.vo.salary.PriceRatePageReqVO;
import com.cf.imes.module.manage.controller.admin.query.vo.salary.PriceRateReqVO;
import com.cf.imes.module.manage.dal.dataobject.process.OrderDO;
import org.ehcache.shadow.org.terracotta.offheapstore.paging.Page;

import java.util.List;

public interface ProductionStatusService {


    // 生产状态分页查询
    PageResult<OrderDO> getProductionPage(OrderPlatePageReqVO pageReqVO);

    // 查看生产单下的加工的工序组
    List<ProductionGroupVO> selectProduction(Long orderNo);


    // 查看板材信息的组合名称
    List<OrderModuleVO> selectPlateName(OrderModuleReqVO reqVO);


    // 查看板材信息分页
    PageResult<OrderPlateRespVO> getOrderPlatePage(PlatePageVO pageReqVO);


    // 计件工资分页查询
    PageResult<PriceRateReqVO> getSalaryPage(PriceRatePageReqVO pageReqVO);



    // 打包查询分页
    PageResult<OrderDO> queryPackage(OrderPlatePageReqVO pageReqVO);



    // 生产单打包完成包裹查看
    List<OrderPackageVO> getPackageList(Long orderNo);



    // 查看包裹详情
    PageResult<PackageDetailsRespVO> queryPackageDetails(PackDetailsReqVO reqVO);


    // 打印订单
    PrintOrderRespVO printOrder(Long orderNo);



    // 导出缺板
    PageResult<PlateDetailsRespVO> getMissingBoard(OrderPartsReqVO pageReqVO);
}
